dcsimg
www.webdeveloper.com
Results 1 to 7 of 7

Thread: How do I fix a jQuery plugin stops working when edgePreload.js script is attached?

  1. #1
    Join Date
    Apr 2009
    Posts
    54

    Exclamation How do I fix a jQuery plugin stops working when edgePreload.js script is attached?

    I have a jQuery plugin on my site that I really want to use (Quicksand). I built the site in Dreamweaver, and now I want to animate the elements in Edge Animate, but I noticed as soon as I did anything, the Quicksand plugin stopped working! I troubleshooted for a while and discovered that it was simply the attachment of the edgePreload.js file that kept it from working... how do I fix this?

    I have uploaded 2 pages to show what I'm talking about:

    http://www.ruesterprod.com/edgeTest_a/ - my quicksand plugin works fine here (Click the 2 grey buttons to see what the Quicksand plugin is doing) I commented out only the part where edgePreload.js is attached...

    http://www.ruesterprod.com/edgeTest_b/
    - This one I left the edgePreload.js script attached and now the 2 grey buttons don't do anything...

    Please help!

    Thanks all!

  2. #2
    Join Date
    Aug 2008
    Location
    Sweden
    Posts
    227
    It looks like you're loading two instances of the jQuery library on the second page: jquery.js and jquery-1.7.1.min.js . The Quicksand plugin is probably added to the first instance, which then gets replaced by the second one.

  3. #3
    Join Date
    Apr 2009
    Posts
    54
    Thank you ReFreezed! So how can I fix this? Would I just need to reattach the jQuery script that the Quicksand plugin is using lower down on my page where the function is created?

  4. #4
    Join Date
    Aug 2008
    Location
    Sweden
    Posts
    227
    Why would you use several jQuery scipts? That doesn't make sense. Just use the latest version of those two.

  5. #5
    Join Date
    Apr 2009
    Posts
    54
    I just looked at my page, and I see jquery.tools.min.js but not jquery-1.7.1.min.js - is the first one the one you meant?

  6. #6
    Join Date
    Aug 2008
    Location
    Sweden
    Posts
    227
    Not the tools plugin... You're including ruesterprod.com/edgeTest_b/rp_all_videolb/jquery.js in the HTML file, and the ruesterprod.com/edgeTest_b/index_EdgeTest_edgePreload.js script is including ruesterprod.com/edgeTest_b/edge_includes/jquery-1.7.1.min.js.

  7. #7
    Join Date
    Apr 2009
    Posts
    54
    I hate to be such a noob, I'm just trying to learn as I go, so your help is MUCH appreciated!

    I tried changing the link from "rp_all_videolb/jquery.js" to "edge_includes/jquery-1.7.1.min.js" (Which is the newer of the two scripts) but that didn't fix anything... I'm guessing that the Quicksand script somehow needs to change to reflect using the newer jQuery library, but I'm not quite sure how to do that - I tried looking through the qsjs/jquery.quicksand.js to find a link to it, but didn't see anything off-hand...

    Thanks again sooooooo much!

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
HTML5 Development Center



Recent Articles